#include <stdio.h>

#define TRACE_DEBUG

#include "pogohash.inc"

int main(int argc, char **argv)
{
  int i, j;

  fprintf(stdout, "PogoHash\n");
  fprintf(stdout, "--------\n");
  fprintf(stdout, "\n");

  fprintf(stdout, ":: init()\n");
  fprintf(stdout, "%s\n", POGO_FILENAME);
  POGO_init(); 

  {
    uint64_t result;
    uint8_t  buffer[256] = {0};
    buffer[0] = 0x61;
    buffer[1] = 0x24;
    buffer[2] = 0x7f;
    buffer[3] = 0xbf;
    j = 28;              // locationHash2 with lat, long, alt = 0
    j = 128;             

    result = Hash(buffer, j);
    fprintf(stdout, "done\n");

    fprintf(stdout, ":: Hash(buffer, sizeof(buffer) [iOS code]\n");
    {
      for (i=0; i<j; i++)
        fprintf(stdout, "%02x ", (buffer[i] & 0xff));
      fprintf(stdout, "len=%2d\n", j);

      printf("0x%08lx\n", result);
    }
    fprintf(stdout, "done\n");
  }

  fprintf(stdout, ":: quit()\n");
  POGO_quit();
  fprintf(stdout, "done\n");

  return 0;
}
